View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022452LazarusIDEpublic2012-07-16 23:332013-06-03 19:35
ReporterAnton 
Assigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version 
Summary0022452: Identifier completion inside with-block
Descriptionprocedure TForm1.FormCreate(Sender: TObject);
begin
  with Canvas do
    text| //will no show "TextRect", "TextOut" and other TCanvas methods
end;

but

procedure TForm1.FormCreate(Sender: TObject);
begin
  with Canvas do begin
    text| // works properly
  end;
end;
Tagscodetools, completion
Fixed in Revision41252
LazTarget-
Widgetset
Attached Filespatch file icon patch1.patch [^] (564 bytes) 2012-07-16 23:33 [Show Content]

- Relationships

-  Notes
(0067741)
Mattias Gaertner (manager)
2013-05-18 11:03

Thanks for the patch.

- Issue History
Date Modified Username Field Change
2012-07-16 23:33 Anton New Issue
2012-07-16 23:33 Anton File Added: patch1.patch
2012-07-16 23:33 Anton Tag Attached: codetools
2012-07-16 23:34 Anton Tag Attached: completion
2012-07-16 23:55 Mattias Gaertner Status new => assigned
2012-07-16 23:55 Mattias Gaertner Assigned To => Mattias Gaertner
2013-05-18 11:03 Mattias Gaertner Fixed in Revision => 41252
2013-05-18 11:03 Mattias Gaertner LazTarget => -
2013-05-18 11:03 Mattias Gaertner Note Added: 0067741
2013-05-18 11:03 Mattias Gaertner Status assigned => resolved
2013-05-18 11:03 Mattias Gaertner Resolution open => fixed
2013-06-03 19:35 Anton Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker